MONGOC_APM_SET_COMMAND_STARTED_CB(3)

NAME
mongoc_apm_set_command_started_cb - mongoc_apm_set_command_started_cb()

SYNOPSIS

        typedef void (*mongoc_apm_command_started_cb_t) (
           const mongoc_apm_command_started_t *event);

        void
        mongoc_apm_set_command_started_cb (mongoc_apm_callbacks_t *callbacks,
                                           mongoc_apm_command_started_cb_t cb);

Receive an event notification whenever the driver starts a MongoDB operation.

PARAMETERS

    •   callbacks: A mongoc_apm_callbacks_t.

    •   cb: A function to call with a mongoc_apm_command_started_t whenever the driver begins a MongoDB operation.

SEE ALSO:
        Introduction to Application Performance Monitoring

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc